Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetChatDraftMessage

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetChatDraftMessage

Enclosing class:
  TdApi

public static final class TdApi.SetChatDraftMessage extends TdApi.Function<TdApi.Ok>
Changes the draft message in a chat.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.DraftMessage`
`draftMessage`
New draft message; pass null to remove the draft.
`long`
`messageThreadId`
If not 0, the message thread identifier in which the draft was changed.

## Constructor Summary

Constructors
Constructor
Description
`SetChatDraftMessage()`
Changes the draft message in a chat.
`SetChatDraftMessage(long chatId, long messageThreadId, TdApi.DraftMessage draftMessage)`
Changes the draft message in a chat.
`SetChatDraftMessage(DataInput input)`
Changes the draft message in a chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### messageThreadId

public long messageThreadId
If not 0, the message thread identifier in which the draft was changed.

### draftMessage

public TdApi.DraftMessage draftMessage
New draft message; pass null to remove the draft. All files in draft message content must be of the type inputFileLocal. Media thumbnails and captions are ignored.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SetChatDraftMessage

public SetChatDraftMessage()
Changes the draft message in a chat.

Returns `Ok`

### SetChatDraftMessage

public SetChatDraftMessage(long chatId, long messageThreadId, TdApi.DraftMessage draftMessage)
Changes the draft message in a chat.

Returns `Ok`

Parameters:
  `chatId` - Chat identifier.
  `messageThreadId` - If not 0, the message thread identifier in which the draft was changed.
  `draftMessage` - New draft message; pass null to remove the draft. All files in draft message content must be of the type inputFileLocal. Media thumbnails and captions are ignored.

  Returns `Ok`

### SetChatDraftMessage

public SetChatDraftMessage(DataInput input) throws IOException
Changes the draft message in a chat.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`